package com.goafanti.expenseAccount.bo;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;

public class ExpenseCountsDep extends ExpenseCountsBo{




    @Excel(name = "部门名称",width = 24)
    private String depName;

    @Excel(name = "合同金额")
    private BigDecimal totalAmount;
    @Excel(name = "已收款")
    private BigDecimal settlementAmount;
    @Excel(name = "报销总额")
    private BigDecimal expenseAmount;
    @Excel(name = "已付成本")
    private BigDecimal paymentAmount;

    @Excel(name = "报销人数")
    private Integer peopleCount;
    @Excel(name = "天数")
    private Integer days;
    @Excel(name = "报销单数")
    private Integer expenseCount;
    @Excel(name = "报销未审核")
    private Integer notExamine;
    @Excel(name = "驳回单数")
    private Integer rejectCount;

    @Override
    public String getDepName() {
        return depName;
    }

    @Override
    public void setDepName(String depName) {
        this.depName = depName;
    }

    @Override
    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    @Override
    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    @Override
    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    @Override
    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    @Override
    public BigDecimal getExpenseAmount() {
        return expenseAmount;
    }

    @Override
    public void setExpenseAmount(BigDecimal expenseAmount) {
        this.expenseAmount = expenseAmount;
    }

    @Override
    public BigDecimal getPaymentAmount() {
        return paymentAmount;
    }

    @Override
    public void setPaymentAmount(BigDecimal paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    @Override
    public Integer getPeopleCount() {
        return peopleCount;
    }

    @Override
    public void setPeopleCount(Integer peopleCount) {
        this.peopleCount = peopleCount;
    }

    @Override
    public Integer getDays() {
        return days;
    }

    @Override
    public void setDays(Integer days) {
        this.days = days;
    }

    @Override
    public Integer getExpenseCount() {
        return expenseCount;
    }

    @Override
    public void setExpenseCount(Integer expenseCount) {
        this.expenseCount = expenseCount;
    }

    @Override
    public Integer getNotExamine() {
        return notExamine;
    }

    @Override
    public void setNotExamine(Integer notExamine) {
        this.notExamine = notExamine;
    }

    @Override
    public Integer getRejectCount() {
        return rejectCount;
    }

    @Override
    public void setRejectCount(Integer rejectCount) {
        this.rejectCount = rejectCount;
    }
}
